/*
 * Created on May 16, 2005
 *
 * Unpublished Work, Copyright, 2005 Northrop Grumman
 */
package gov.grants.apply.ws;

import gov.grants.apply.WebServices.AgencyIntegrationServices_V1_0.GetApplicationZipRequest;
import gov.grants.apply.WebServices.AgencyIntegrationServices_V1_0.GetApplicationZipResponse;

/**
 * @author Grants.gov WebServices Team
 *
 * To process the GetApplicationZip WebService:
 * <pre>
 * &lt;xsd:element name="GetApplicationZipRequest"&gt;
 *    &lt;xsd:complexType&gt;
 *       &lt;xsd:sequence&gt;
 *          &lt;xsd:element ref="footer:Grants_govTrackingNumber"/&gt;
 *       &lt;/xsd:sequence&gt;
 *    &lt;/xsd:complexType&gt;
 * &lt;/xsd:element&gt;
 * &lt;xsd:element name="GetApplicationZipResponse"&gt;
 *    &lt;xsd:complexType&gt;
 *       &lt;xsd:sequence&gt;
 *          &lt;xsd:element ref="agis:Manifest"/&gt;
 *       &lt;/xsd:sequence&gt;
 *    &lt;/xsd:complexType&gt;
 * &lt;/xsd:element&gt;
 * </pre>
 */
public interface IGetApplicationZipProcessor
{
   /**
    * Process the web service request.
    * @param request The Axis GetApplicationZip request.
    * @return An Axis response object representing the SOAP response described in the WSDL.
    * @throws ProcessorException When the request could not be serviced.
    */
   public GetApplicationZipResponse process(GetApplicationZipRequest request) throws ProcessorException;
}
