/*
 * Created on Jun 7, 2005
 *
 * Unpublished Work, Copyright, 2005 Northrop Grumman
 */
package gov.grants.apply.ws.standAloneMode;

import gov.grants.apply.WebServices.AgencyIntegrationServices_V1_0.ConfirmApplicationDeliveryRequest;
import gov.grants.apply.WebServices.AgencyIntegrationServices_V1_0.ConfirmApplicationDeliveryResponse;
import gov.grants.apply.WebServices.AgencyIntegrationServices_V1_0.ResponseMessage;
import gov.grants.apply.util.ProcessorUtils;
import gov.grants.apply.ws.IConfirmApplicationDeliveryProcessor;
import gov.grants.apply.ws.ProcessorException;

import org.apache.log4j.Logger;

/**
 * @author Grants.gov WebServices Team
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public final class ConfirmApplicationDeliverySAModeProcessor
   implements IConfirmApplicationDeliveryProcessor
{
   private static final Logger LOG = Logger.getLogger(ConfirmApplicationDeliverySAModeProcessor.class);

   /* (non-Javadoc)
    * @see gov.grants.apply.ws.IConfirmApplicationDeliveryProcessor#process(gov.grants.apply.WebServices.AgencyIntegrationServices_V1_0._ConfirmApplicationDeliveryRequest)
    */
   public ConfirmApplicationDeliveryResponse process(ConfirmApplicationDeliveryRequest request)
      throws ProcessorException
   {
      String trackingNum = request.getGrants_govTrackingNumber();
      if (trackingNum == null)
      {
         throw new ProcessorException("Tracking number is null.");
      }
      LOG.debug("In stand-alone mode, alway return success.");
      return ProcessorUtils.prepareConfirmAppDeliveryResponse(ResponseMessage.Success, request.getGrants_govTrackingNumber());
   }

}
