/*
 * Created on Jun 1, 2005
 *
 * Unpublished Work, Copyright, 2005 Northrop Grumman
 */
package gov.grants.apply.dao;

/**
 * @author Grants.gov WebServices Team
 *
 */
public interface IApplicationDAO
{
   /**
    * Searches for applications that match the criteria given by the filter argument.
    * @param filter Search parameters.
    * @return An array of Application objects representing the found applications.
    * @throws DAOException
    */
   public Application[] findApplications(GetApplicationListFilter filter) throws DAOException;
}
