/*
 * Created on Jun 7, 2005
 *
 * Unpublished Work, Copyright, 2005 Northrop Grumman
 */
package gov.grants.apply.ws.standAloneMode;

import gov.grants.apply.WebServices.AgencyIntegrationServices_V1_0.AssignAgencyTrackingNumberRequest;
import gov.grants.apply.WebServices.AgencyIntegrationServices_V1_0.AssignAgencyTrackingNumberResponse;
import gov.grants.apply.WebServices.AgencyIntegrationServices_V1_0.ResponseMessage;
import gov.grants.apply.util.ProcessorUtils;
import gov.grants.apply.ws.IAssignAgencyTrackingNumberProcessor;
import gov.grants.apply.ws.ProcessorException;

import org.apache.log4j.Logger;

/**
 * @author Grants.gov WebServices Team
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public final class AssignAgencyTrackNumSAModeProcessor
   implements IAssignAgencyTrackingNumberProcessor
{
   private static final Logger LOG = Logger.getLogger(AssignAgencyTrackNumSAModeProcessor.class);

   /* (non-Javadoc)
    * @see gov.grants.apply.ws.IAssignAgencyTrackingNumberProcessor#process(gov.grants.apply.WebServices.AgencyIntegrationServices_V1_0._AssignAgencyTrackingNumberRequest)
    */
   public AssignAgencyTrackingNumberResponse process(AssignAgencyTrackingNumberRequest request)
      throws ProcessorException
   {
      LOG.debug("For stand-alone mode, the assign agency tracking number service will always return success.");
      return ProcessorUtils.prepareAssignAgencyTrackingNumberResponse(ResponseMessage.Success, request.getGrants_govTrackingNumber());
   }

}
