/*
 * Created on Jun 6, 2005
 *
 * Unpublished Work, Copyright, 2005 Northrop Grumman
 */
package gov.grants.apply.ws;

import javax.activation.DataSource;

/**
 * @author Grants.gov WebServices Team
 *
 * A transfer object of sorts that holds resultant data from the invocation of the
 * GetApplication web service.  This object is used in both Production and Stand-alone
 * modes.
 */
public final class GetApplicationBean
{
   private DataSource _applicationXmlDataSource = null;
   
   /**
    * @return The application XML data source.
    */
   public final DataSource getDataSource()
   {
      return _applicationXmlDataSource;
   }
   
   /**
    * @param data The application XML data source.
    */
   public final void setDataSource(DataSource data)
   {
      _applicationXmlDataSource = data;
   }
}
